Save selected qualifications
POST /v1/handshakes/{id}/qualifications
- Scope
handshakes:edit- Roles
- admin, scheduler
Records which service type and provider type combinations the organization has chosen. These are imported onto the provider when the handshake completes.
Parameters
Path parameters
| Name | Type | Description |
|---|---|---|
id required | string | Handshake ID. |
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Request body required
| Field | Type | Description |
|---|---|---|
qualifications | array of object | |
qualifications[].serviceTypeId | string | |
qualifications[].serviceProviderTypeId | string |
Example
{
"qualifications": [
{
"serviceTypeId": "string",
"serviceProviderTypeId": "string"
}
]
}Example request
curl -X POST "https://api.fetchfido.ai/v1/handshakes/{id}/qualifications" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID" \
-H "Content-Type: application/json" \
-d '{"qualifications":[{"serviceTypeId":"string","serviceProviderTypeId":"string"}]}'Try it
Responses
200 Qualifications saved successfully
Qualifications saved successfully.
{
"success": true,
"message": "Qualifications saved successfully.",
"data": {
"id": "HSK-4KQ2PA",
"assignmentId": "ASG-SA2IVL",
"serviceProviderId": "SPR-H6OUI3",
"status": "offer_sent",
"statusLabel": "Offer Sent",
"rates": [
{}
],
"singleRates": [
{}
],
"messages": [
{}
],
"invitedAt": "string",
"interestedAt": "string",
"offerSentAt": "string",
"acceptedAt": "string",
"declinedAt": "string",
"declinedBy": "organization",
"declineReason": "string",
"invitedByUserId": "USR-9WE3TK",
"createdAt": "string"
}
}Response fields (20)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
data | object | |
data.id | string | Example |
data.assignmentId | string | Example |
data.serviceProviderId | string | Example |
data.status | string | Example |
data.statusLabel | string | Example |
data.rates | array of object | Negotiated rate rows as stored on the handshake. |
data.singleRates | array of object | Negotiated single-rate rows as stored on the handshake. |
data.messages | array of object | Message history on the handshake. |
data.invitedAt | string (date-time) or null | |
data.interestedAt | string (date-time) or null | |
data.offerSentAt | string (date-time) or null | |
data.acceptedAt | string (date-time) or null | |
data.declinedAt | string (date-time) or null | |
data.declinedBy | string or null | Example |
data.declineReason | string or null | |
data.invitedByUserId | string or null | Example |
data.createdAt | string (date-time) or null |
401 Not signed in
Missing, invalid or expired API key.
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'handshakes:edit' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |